Skip to navigation

🧪 List Vehicle Region Segments

List region segment aggregates visible to the authenticated organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

group_by"segment" or nullOptional

Optional grouping mode. Use segment to collapse repeated visits to the same region for a vehicle within the filtered window, using the min start time and max end time.

include_vehiclebooleanOptionalDefaults to false

If true, each segment will include a vehicle object with basic vehicle information. Segments without a matching vehicle will have vehicle set to null.

fleet_idslist of strings or nullOptional

Limit results to specific fleets using Catena’s fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

fleet_refslist of strings or nullOptional

Limit results to specific fleets using your organization’s fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

connection_idstring or nullOptionalformat: "uuid"
Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.
from_datedateOptional

Return only records with a processing date on or after this date. Format: YYYY-MM-DD Applies filter: processing_date >= from_date Default value: yesterday Restriction: to_date - from_date cannot exceed 180 days

to_datedateOptional

Return only records with a processing date on or before this date. Format: YYYY-MM-DD Applies filter: processing_date <= to_date Default value: today Restriction: to_date - from_date cannot exceed 180 days

vehicle_idslist of strings or nullOptional

Limit results to specific vehicles. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?vehicle_ids=id1&vehicle_ids=id2).

country_codestring or nullOptional

Limit results to a specific country using its ISO 3166-1 alpha-3 code (e.g., USA, CAN).

regionstring or nullOptional

Limit results to a specific region or state within the country (e.g., TX, ON).

cursorstring or nullOptional
Cursor for the next page
sizeintegerOptional1-1000Defaults to 300
Page size

Response

Successful Response
itemslist of objects
totalinteger>=0
current_pagestring or nullOptional
Cursor to refetch the current page
current_page_backwardsstring or nullOptional
Cursor to refetch the current page starting from the last item
previous_pagestring or nullOptional
Cursor for the previous page
next_pagestring or nullOptional
Cursor for the next page

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error